| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
GetMesh.m File Reference

Initialization of the Mesh structure from a FreeFEM++ mesh file. More...

Go to the source code of this file.

## Functions
function Mesh = | GetMesh (cFileName)
| Initialization of the Mesh structure from a FreeFEM++ mesh file.

## Detailed Description

Initialization of the Mesh structure from a FreeFEM++ mesh file.

- Basic version

Definition in file GetMesh.m.

## Function Documentation

function Mesh = GetMesh | ( |  | cFileName | ) |

Initialization of the Mesh structure from a FreeFEM++ mesh file.

- Basic version

Example

          Th=GetMesh('carre.msh')

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Parameters

  cFileName | FreeFEM++ mesh file name (string)

Return values

  Mesh | mesh structure

Generated fields of Mesh:
  - `q —` Array of vertices coordinates, array.
    is the -th coordinate of the -th vertex, and
  - `me —` Connectivity array, array.
    is the storage index of the -th vertex of the -th triangle in the array of vertices coordinates, and .
  - `ql —` Array of vertices labels, array.
  - `mel —` Array of elements labels, array.
  - `be —` Connectivity array for boundary edges, array.
    is the storage index of the -th vertex of the -th edge in the array of vertices coordinates, and .
  - `bel —` Array of boundary edges labels, array.
  - `nq —` total number of vertices, also denoted by .
  - `nme —` total number of elements, also denoted by .
  - `nbe —` total number of boundary edges, also denoted by .
  - `areas —` Array of areas, array. areas(k) is the area of the -th triangle.
  - `lbe —` Array of edges lengths, array. is the length of the -th edge.

Definition at line 17 of file GetMesh.m.